{
	saveslot

	accepttext
	backtext

	Init[ (s)
	{
		ClearMenu();

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		name = GetSavedName(0);
		AddStaticItem(name,false,99,1911);
		time = GetSavedTimeStr(0);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		name = GetSavedName(1);
		AddMenuItem(name,"SaveToSlot1");
		time = GetSavedTimeStr(1);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		name = GetSavedName(2);
		AddMenuItem(name,"SaveToSlot2");
		time = GetSavedTimeStr(2);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		name = GetSavedName(3);
		AddMenuItem(name,"SaveToSlot3");
		time = GetSavedTimeStr(3);
		AddStaticItem(time,false,99,32767);
		AddStaticItem(26);

		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);

		accepttext=AddFloatingTextJustify(530, 0, 195, false,32767);
        	accepttext.SetFontNum(1);
		backtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		backtext.SetFontNum(1);

	} ]

	HideAcceptBack[ (s)
	{
		accepttext.SetVisible(false);
		backtext.SetVisible(false);
	} ]

	ShowAcceptBack[ (s)
	{
		accepttext.SetVisible(true);
		backtext.SetVisible(true);
	} ]

	SaveToSlot0[ (s)
	{
		saveslot=0;

		if (GameAvailableForLoad(0))
		{
			ShowWarning();
		}
		else
		{
			SaveSlot();
		}
	} ]

	SaveToSlot1[ (s)
	{
		saveslot=1;

		if (GameAvailableForLoad(1))
		{
			ShowWarning();
		}
		else
		{
			SaveSlot();
		}
	} ]

	SaveToSlot2[ (s)
	{
		saveslot=2;

		if (GameAvailableForLoad(2))
		{
			ShowWarning();
		}
		else
		{
			SaveSlot();
		}
	} ]

	SaveToSlot3[ (s)
	{
		saveslot=3;

		if (GameAvailableForLoad(3))
		{
			ShowWarning();
		}
		else
		{
			SaveSlot();
		}
	} ]

	ShowWarning[ (s)
	{
		ClearMenu();
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(26);
		AddStaticItem(502,false,20,32767);
		AddMenuItem(49, "SaveSlot");
		AddMenuItem(50, "Init");
		funtext=AddFloatingTextJustify(530, 0, 195, false,32767);
        funtext.SetFontNum(1);
		funtext=AddFloatingTextJustify(531, 176, 195, true,32767);
		funtext.SetFontNum(1);
	}]

	NotEnoughSpace[(s)
	{
		OpenMenu("NoSpaceMenu");
	}]

	SaveFailed[ (s)
	{
		//NEED SAVE FAILED MENU
		return;
	} ]

	SaveSlot[ (s)
	{
		SaveGame( saveslot );
		Init();
	} ]

	SaveGameMenuBack[ (s)
	{
		OpenMenu("LoadSave");
	} ]
}